// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
// 
// DESCRIPTION:
// Helicopter gun
// 

#include "g_local.h"
#include "bullet.h"
#include "heligun.h"
#include "rocketlauncher.h"
#include "explosion.h"

CLASS_DECLARATION( BulletWeapon, HeliGun, "weapon_heligun" );

ResponseDef HeliGun::Responses[] =
	{
	   { &EV_Weapon_Shoot,           ( Response )HeliGun::Shoot },
		{ NULL, NULL }
	};

HeliGun::HeliGun
   (
   )
	
   {
	SetModels( NULL, "view_heligun.def" );
	SetAmmo( "Bullet50mm", 0, 0 );
	SetRank( 50, 50 );	
	}

void HeliGun::Shoot
	(
	Event *ev
	)

	{
   FireBullets( 1, "20 20 20", 16, 28, DAMAGE_BULLET, MOD_HELIGUN, false );
	NextAttack( 0 );
	}

