//-----------------------------------------------------------------------------
//
// Splitter header file by Boon, created 25-11-98
//
// DESCRIPTION:
// Splitter
// 

#ifndef __SPLITTER_H__
#define __SPLITTER_H__

#include "g_local.h"
#include "actor.h"

class EXPORT_FROM_DLL Splitter : public Actor
	{
	public:
		CLASS_PROTOTYPE( Splitter );
		
							Splitter::Splitter();
		virtual void		KilledEvent(Event *ev);
		virtual void		SpawnBugEvent(Event *ev);
	   virtual void      Archive( Archiver &arc );
      virtual void      Unarchive( Archiver &arc );
	};



inline EXPORT_FROM_DLL void Splitter::Archive
	(
	Archiver &arc
	)

   {
   Actor::Archive( arc );

   // FIXME add saving of state so splitters who are dying stay dying through save games
//   arc.WriteFloat( splitterstate_or_something );
   }

inline EXPORT_FROM_DLL void Splitter::Unarchive
	(
	Archiver &arc
	)

   {
   Actor::Unarchive( arc );

   // FIXME add loading of state so splitters who are dying stay dying through save games
//   arc.ReadFloat( &splitterstate_or_something );
   }

//### for bug
class EXPORT_FROM_DLL Jump2 : public Jump
	{
	public:
      CLASS_PROTOTYPE( Jump2 );
		void						Begin( Actor &self );
	};
//###

#endif /* splitter.h */
