// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
// 
// DESCRIPTION:
// Hammer Melee weapon
// 

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "fists.h"

class EXPORT_FROM_DLL Hammer : public Fists
	{
	public:
		CLASS_PROTOTYPE( Hammer );
		
							Hammer::Hammer();
      virtual qboolean       IsDroppable( void );
	};

CLASS_DECLARATION( Fists, Hammer, NULL);

ResponseDef Hammer::Responses[] =
	{
		{ NULL, NULL }
	};

Hammer::Hammer()
	{
#ifdef SIN_DEMO
   PostEvent( EV_Remove, 0 );
   return;
#endif
	SetModels( "sledgeham.def", "view_sledge.def" );
	SetAmmo( NULL, 0, 0 );
	SetRank( 11, 11 );	
   strike_reach = 48;
   strike_damage = 55;
	SetMaxRange( strike_reach );
   SetType( WEAPON_MELEE );
   kick = 25;
	}

qboolean Hammer::IsDroppable
	(
	void
	)
	{
	return false;
   }
